<html lang="en">
<head>
<title>Inserting a DOCTYPE - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Managing-the-DTD.html#Managing-the-DTD" title="Managing the DTD">
<link rel="prev" href="Using-a-Split-Document.html#Using-a-Split-Document" title="Using a Split Document">
<link rel="next" href="Information-from-the-DTD.html#Information-from-the-DTD" title="Information from the DTD">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Inserting-a-DOCTYPE"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Information-from-the-DTD.html#Information-from-the-DTD">Information from the DTD</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Using-a-Split-Document.html#Using-a-Split-Document">Using a Split Document</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Managing-the-DTD.html#Managing-the-DTD">Managing the DTD</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">7.3 Inserting a DOCTYPE</h3>

<p><a name="index-C_002dc-C_002du-C_002dd-47"></a><a name="index-sgml_002dcustom_002ddtd-48"></a>*** Describe the DTD menu in general.  Describe customized entries for
special DTDs.  Mention <kbd>C-c C-u C-d</kbd> for inserting a DOCTYPE from
keyboard.

   <p>If you change the doctype you must execute <code>sgml-parse-prolog</code>,
changes in the doctype are not automatically recognized.

<div class="defun">
&mdash; User Option: <b>sgml-custom-dtd</b><var><a name="index-sgml_002dcustom_002ddtd-49"></a></var><br>
<blockquote><p>Menu entries to be added to the DTD menu.  The value should be a list of
entries to be added to the DTD menu.

        <p>Every entry should be a list.  The first element of the entry is a string
used as the menu entry.  The second element is a string containing a
doctype declaration (this can be nil if no doctype).  The rest of the
list should be a list of variables and values.  For backward
compatibility a single string instead of a variable is assigned to
<code>sgml-default-dtd-file</code>.  All variables are made buffer local and
are also added to the buffers local variables list.

        <p>When an entry is selected from the DTD menu, the doctype declaration will
be inserted, the variables will be set to the values in the entry and a
local variables list will be created in the buffer.

        <p>Example:

     <pre class="example">             (("HTML" nil
               sgml-default-dtd-file "~/sgml/html.ced"
               sgml-omittag nil sgml-shorttag nil)
              ("HTML+" "&lt;!doctype htmlplus system 'htmlplus.dtd'&gt;"
               "~/sgml/htmlplus.ced"
               sgml-omittag t sgml-shorttag nil)
              ("DOCBOOK" "&lt;!doctype docbook system 'docbook.dtd'&gt;"
               "~/sgml/docbook.ced"
               sgml-omittag nil sgml-shorttag t)))
     </pre>
        </blockquote></div>

<!--  -->
</body></html>

